Package org.springframework.cache.annotation

# Interface AnnotationCacheOperationSource.CacheOperationProvider

Enclosing class:
  AnnotationCacheOperationSource

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface protected static interface AnnotationCacheOperationSource.CacheOperationProvider
Callback interface providing `CacheOperation` instance(s) based on a given `CacheAnnotationParser`.

## Method Summary

Modifier and Type
Method
Description
`Collection<CacheOperation>`
`getCacheOperations(CacheAnnotationParser parser)`
Return the `CacheOperation` instance(s) provided by the specified parser.

## Method Details

### getCacheOperations

@Nullable Collection<CacheOperation> getCacheOperations(CacheAnnotationParser parser)
Return the `CacheOperation` instance(s) provided by the specified parser.

Parameters:
  `parser` - the parser to use
Returns:
  the cache operations, or `null` if none found